[Pvfs2-cvs] commit by nlmills in pvfs2: Makefile.in configure
configure.in pvfs2-config.h.in
CVS commit program
cvs at parl.clemson.edu
Thu Jan 13 15:11:39 EST 2011
Update of /projects/cvsroot/pvfs2
In directory parlweb1:/tmp/cvs-serv27537
Modified Files:
Tag: cu-security-branch
Makefile.in configure configure.in pvfs2-config.h.in
Log Message:
merge with Orange-Branch
Index: Makefile.in
===================================================================
RCS file: /projects/cvsroot/pvfs2/Makefile.in,v
diff -p -u -r1.263.2.11 -r1.263.2.12
--- Makefile.in 4 Oct 2010 20:42:44 -0000 1.263.2.11
+++ Makefile.in 13 Jan 2011 20:11:25 -0000 1.263.2.12
@@ -1184,12 +1184,8 @@ NUM_UTS_LINES := $(shell grep -c UTS_REL
ifeq ($(NUM_UTS_LINES),1)
KERNEL_VERS := $(shell grep UTS_RELEASE $(LINUX_KERNEL_SRC)/include/linux/version.h | cut -d\" -f2)
else
- NUM_UTS_LINES := $(shell grep -c UTS_RELEASE $(LINUX_KERNEL_SRC)/include/linux/utsrelease.h)
- ifeq ($(NUM_UTS_LINES),1)
- KERNEL_VERS := $(shell grep UTS_RELEASE $(LINUX_KERNEL_SRC)/include/linux/utsrelease.h | cut -d\" -f2)
- else
- KERNEL_VERS := $(shell uname -r)
- endif
+ # multiple locations of utsrelease.h, just find and grep so we don't have to change again
+ KERNEL_VERS := $(shell find ${LINUX_KERNEL_SRC}/include -name utsrelease.h -exec grep UTS_RELEASE '{}' \; | cut -d \" -f2 )
endif
KMOD_DIR ?= $(DESTDIR)/${kmod_prefix}/lib/modules/$(KERNEL_VERS)/kernel/fs/pvfs2
Index: configure
===================================================================
RCS file: /projects/cvsroot/pvfs2/configure,v
diff -p -u -r1.388.2.15 -r1.388.2.16
--- configure 22 Nov 2010 23:51:18 -0000 1.388.2.15
+++ configure 13 Jan 2011 20:11:25 -0000 1.388.2.16
@@ -1398,7 +1398,7 @@ ac_configure="$SHELL $ac_aux_dir/configu
CONFIGURE_TIME=`date -u +"%Y-%m-%d-%H%M%S"`
PVFS2_VERSION_MAJOR=2
PVFS2_VERSION_MINOR=8
-PVFS2_VERSION_SUB=2
+PVFS2_VERSION_SUB=3
#PVFS2_VERSION_RELEASE="orangefs-20100920"
#PVFS2_PRE=""
PVFS2_VERSION_PRE="-orangefs-$CONFIGURE_TIME"
@@ -6981,15 +6981,19 @@ echo "$as_me: error: The --with-kernel p
echo "$as_me: error: The kernel source tree must have been configured." >&2;}
{ (exit 1); exit 1; }; }
fi
- vers=`sed -n '/UTS_RELEASE/{; s/.*"\(0-9\.0-9\).*".*/\1/; p; }' $withval/include/linux/version.h`
- if ! grep -q UTS_RELEASE..2\\.6\\. $withval/include/linux/version.h ; then
- # 2.6.18 moves UTS_RELEASE into its own header
- if ! grep -q UTS_RELEASE..2\\.6\\. $withval/include/linux/utsrelease.h ; then
- { { echo "$as_me:$LINENO: error: The kernel source tree does not appear to be 2.6" >&5
+
+ if test -r $withval/include/linux/version.h && grep -q UTS_RELEASE..2\\.6\\. $withval/include/linux/version.h ; then
+ vers=`sed -n '/UTS_RELEASE/{; s/.*"\(0-9\.0-9\).*".*/\1/; p; }' $withval/include/linux/version.h`
+ elif test -r $withval/include/linux/utsrelease.h && grep -q UTS_RELEASE..2\\.6\\. $withval/include/linux/utsrelease.h; then
+ vers=`sed -n '/UTS_RELEASE/{; s/.*"\(0-9\.0-9\).*".*/\1/; p; }' $withval/include/linux/utsrelease.h`
+ elif test -r $withval/include/generated/utsrelease.h && grep -q UTS_RELEASE..2\\.6\\. $withval/include/generated/utsrelease.h; then
+ vers=`sed -n '/UTS_RELEASE/{; s/.*"\(0-9\.0-9\).*".*/\1/; p; }' $withval/include/generated/utsrelease.h`
+ else
+ { { echo "$as_me:$LINENO: error: The kernel source tree does not appear to be 2.6" >&5
echo "$as_me: error: The kernel source tree does not appear to be 2.6" >&2;}
{ (exit 1); exit 1; }; }
- fi
fi
+
# At least up through 2.6.3 needed to write .__modpost.cmd; this changed
# sometime between then and 2.6.10. Now anybody can compile out-of-tree
# modules against a configured kernel tree
@@ -7074,7 +7078,13 @@ if test -n "$lk_src" ; then
NOSTDINCFLAGS="-Werror-implicit-function-declaration -nostdinc -isystem `$CC -print-file-name=include`"
- CFLAGS="$USR_CFLAGS $NOSTDINCFLAGS -I$lk_src/include -I$lk_src/include/asm/mach-default -DKBUILD_STR(s)=#s -DKBUILD_BASENAME=KBUILD_STR(empty) -DKBUILD_MODNAME=KBUILD_STR(empty) -imacros $lk_src/include/linux/autoconf.h"
+ CFLAGS="$USR_CFLAGS $NOSTDINCFLAGS -I$lk_src/include -I$lk_src/include/asm/mach-default -DKBUILD_STR(s)=#s -DKBUILD_BASENAME=KBUILD_STR(empty) -DKBUILD_MODNAME=KBUILD_STR(empty)"
+
+ if test -f $lk_src/include/generated/autoconf.h ; then
+ CFLAGS="$CFLAGS -imacros $lk_src/include/generated/autoconf.h"
+ else
+ CFLAGS="$CFLAGS -imacros $lk_src/include/linux/autoconf.h"
+ fi
if test -n "${ARCH}" ; then
CFLAGS="$CFLAGS -I$lk_src/arch/${ARCH}/include -I$lk_src/arch/${ARCH}/include/asm/mach-default"
@@ -12170,6 +12180,267 @@ fi
rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
CFLAGS=$tmp_cflags
+
+ tmp_cflags=$CFLAGS
+ CFLAGS="$CFLAGS -Werror"
+ echo "$as_me:$LINENO: checking whether struct ctl_table has ctl_name" >&5
+echo $ECHO_N "checking whether struct ctl_table has ctl_name... $ECHO_C" >&6
+ cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+ #define __KERNEL__
+ #include <linux/sysctl.h>
+ static struct ctl_table c = { .ctl_name = 0, };
+
+int
+main ()
+{
+
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_CTL_NAME 1
+_ACEOF
+
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
+ echo "$as_me:$LINENO: checking whether struct ctl_table has strategy" >&5
+echo $ECHO_N "checking whether struct ctl_table has strategy... $ECHO_C" >&6
+ cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+ #define __KERNEL__
+ #include <linux/sysctl.h>
+ static struct ctl_table c = { .strategy = 0, };
+
+int
+main ()
+{
+
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_STRATEGY_NAME 1
+_ACEOF
+
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+ CFLAGS=$tmp_cflags
+
+ tmp_cflags=$CFLAGS
+ CFLAGS="$CFLAGS -Werror"
+ echo "$as_me:$LINENO: checking for five-param xattr_handler.get" >&5
+echo $ECHO_N "checking for five-param xattr_handler.get... $ECHO_C" >&6
+ cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+ #define __KERNEL__
+ #include <linux/dcache.h>
+ #include <linux/xattr.h>
+ static struct xattr_handler x;
+ static int get_xattr_h( struct dentry *d, const char *n,
+ void *b, size_t s, int h)
+ { return 0; }
+
+int
+main ()
+{
+
+ x.get = get_xattr_h;
+
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_XATTR_HANLDER_GET_FIVE_PARAM 1
+_ACEOF
+
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
+ tmp_cflags=$CFLAGS
+ CFLAGS="$CFLAGS -Werror"
+ echo "$as_me:$LINENO: checking for six-param xattr_handler.set" >&5
+echo $ECHO_N "checking for six-param xattr_handler.set... $ECHO_C" >&6
+ cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+ #define __KERNEL__
+ #include <linux/dcache.h>
+ #include <linux/xattr.h>
+ static struct xattr_handler x;
+ static int set_xattr_h( struct dentry *d, const char *n,
+ const void *b, size_t s, int f, int h)
+ { return 0; }
+
+int
+main ()
+{
+
+ x.set = set_xattr_h;
+
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_XATTR_HANLDER_SET_SIX_PARAM 1
+_ACEOF
+
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
+ CFLAGS=$tmp_cflags
CFLAGS=$oldcflags
Index: configure.in
===================================================================
RCS file: /projects/cvsroot/pvfs2/configure.in,v
diff -p -u -r1.340.2.13 -r1.340.2.14
--- configure.in 22 Sep 2010 06:43:46 -0000 1.340.2.13
+++ configure.in 13 Jan 2011 20:11:38 -0000 1.340.2.14
@@ -18,7 +18,7 @@ dnl An @ in the date string can confuse
CONFIGURE_TIME=`date -u +"%Y-%m-%d-%H%M%S"`
PVFS2_VERSION_MAJOR=2
PVFS2_VERSION_MINOR=8
-PVFS2_VERSION_SUB=2
+PVFS2_VERSION_SUB=3
#PVFS2_VERSION_RELEASE="orangefs-20100920"
#PVFS2_PRE=""
PVFS2_VERSION_PRE="-orangefs-$CONFIGURE_TIME"
@@ -521,13 +521,17 @@ AC_ARG_WITH(kernel,
if ! test -r $withval/include/linux/version.h ; then
AC_MSG_ERROR(The kernel source tree must have been configured.)
fi
- vers=`sed -n '/UTS_RELEASE/{; s/.*"\([0-9]\.[0-9]\).*".*/\1/; p; }' $withval/include/linux/version.h`
- if ! grep -q UTS_RELEASE..2\\.6\\. $withval/include/linux/version.h ; then
- # 2.6.18 moves UTS_RELEASE into its own header
- if ! grep -q UTS_RELEASE..2\\.6\\. $withval/include/linux/utsrelease.h ; then
- AC_MSG_ERROR(The kernel source tree does not appear to be 2.6)
- fi
+
+ if test -r $withval/include/linux/version.h && grep -q UTS_RELEASE..2\\.6\\. $withval/include/linux/version.h ; then
+ vers=`sed -n '/UTS_RELEASE/{; s/.*"\([0-9]\.[0-9]\).*".*/\1/; p; }' $withval/include/linux/version.h`
+ elif test -r $withval/include/linux/utsrelease.h && grep -q UTS_RELEASE..2\\.6\\. $withval/include/linux/utsrelease.h; then
+ vers=`sed -n '/UTS_RELEASE/{; s/.*"\([0-9]\.[0-9]\).*".*/\1/; p; }' $withval/include/linux/utsrelease.h`
+ elif test -r $withval/include/generated/utsrelease.h && grep -q UTS_RELEASE..2\\.6\\. $withval/include/generated/utsrelease.h; then
+ vers=`sed -n '/UTS_RELEASE/{; s/.*"\([0-9]\.[0-9]\).*".*/\1/; p; }' $withval/include/generated/utsrelease.h`
+ else
+ AC_MSG_ERROR(The kernel source tree does not appear to be 2.6)
fi
+
# At least up through 2.6.3 needed to write .__modpost.cmd; this changed
# sometime between then and 2.6.10. Now anybody can compile out-of-tree
# modules against a configured kernel tree
Index: pvfs2-config.h.in
===================================================================
RCS file: /projects/cvsroot/pvfs2/pvfs2-config.h.in,v
diff -p -u -r1.117.2.8 -r1.117.2.9
--- pvfs2-config.h.in 22 Nov 2010 23:51:26 -0000 1.117.2.8
+++ pvfs2-config.h.in 13 Jan 2011 20:11:39 -0000 1.117.2.9
@@ -52,6 +52,9 @@
/* Define if third param (message) to DB error callback function is const */
#undef HAVE_CONST_THIRD_PARAMETER_TO_DB_ERROR_CALLBACK
+/* Define if struct ctl_table has ctl_name member */
+#undef HAVE_CTL_NAME
+
/* Define if cred.h contains current_fsuid */
#undef HAVE_CURRENT_FSUID
@@ -348,6 +351,9 @@
/* Define to 1 if you have the <stdlib.h> header file. */
#undef HAVE_STDLIB_H
+/* Define if struct ctl_table has strategy member */
+#undef HAVE_STRATEGY_NAME
+
/* Define to 1 if you have the <strings.h> header file. */
#undef HAVE_STRINGS_H
@@ -429,6 +435,14 @@
/* Define if kernel has xattr support */
#undef HAVE_XATTR
+
+/* Define if kernel xattr_handle get function has dentry as first parameter
+ and a fifth parameter */
+#undef HAVE_XATTR_HANLDER_GET_FIVE_PARAM
+
+/* Define if kernel xattr_handle set function has dentry as first parameter
+ and a sixth parameter */
+#undef HAVE_XATTR_HANLDER_SET_SIX_PARAM
/* Define to the address where bug reports for this package should be sent. */
#undef PACKAGE_BUGREPORT
More information about the Pvfs2-cvs
mailing list